Summary: Library to access Jack in asynchronouse mode
Name: libjackasyn
Version: 0.13
Release: 1
URL: http://gige.xdv.org/soft/libjackasyn/
Source0: %{name}-%{version}.tar.gz
Source1: %{name}-get-cvs
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: jack-audio-connection-kit-devel libsamplerate-devel

%description
This is a library that allows to access the jack audio server
in asynchronous mode. It can be used for several purposes:

1) Make an application that uses the OSS audio API run with
the JACK server via the LD_PRELOAD system.

1) You have an application that is written for asynchronous mode,
probably for several platforms and can't afford a rewrite of the
whole system to fit jacks callback architecture.

2) You want to port an application in a fast and easy way and
do not care for tight synchronisation and performance.

%package devel
Summary:  Development files for Libjackasyn
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
Development files for the libjackasyn library.

%prep
%setup -q 

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_includedir}
%{__make} prefix=%{buildroot}%{_prefix} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README TODO WORKING
%{_bindir}/*
%{_libdir}/libjackasyn.so.0*

%files devel
%defattr(-,root,root)
%{_libdir}/libjackasyn.so
%{_libdir}/libjackasyn.a
%{_includedir}/*

%changelog
* Thu Sep  7 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.13-1
- updated to 0.13

* Fri Apr 15 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.11-1
- updated to 0.11

* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added buildrequires

* Wed Feb 11 2004 Jeffrey Baitis <baitisj@evolution.com> 0.10-1
- updated to 0.10

* Mon Nov 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8-1
- spec file tweaks, added release tags
- added patch ommiting old jack include file

* Thu Jun  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8-1
- updated to 0.8

* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7-1
- updated to 0.7

* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6-1
- updated to 0.6 (under jack 0.66.3)

* Tue Mar 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5-1
- updated to 0.5

* Fri Jan 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4-1
- Initial build.
